Bug 1133373 (CVE-2014-5369) - CVE-2014-5369 thunderbird-enigmail: mail with only Bcc recipients sent in plain text
Summary: CVE-2014-5369 thunderbird-enigmail: mail with only Bcc recipients sent in pla...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2014-5369
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1133375 1133376
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-25 04:29 UTC by Murray McAllister
Modified: 2019-09-29 13:21 UTC (History)
1 user (show)

Fixed In Version: enigmail 1.7.1, enigmail 1.8.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:34:35 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-08-25 04:29:42 UTC
CVE-2014-5369 was assigned to an issue in Enigmail where, if a mail only had Bcc recipients, the mail was unexpectedly sent in plain text:

http://sourceforge.net/p/enigmail/forum/support/thread/3e7268a4/#b315
http://sourceforge.net/p/enigmail/bugs/294/

This issue is reported to have been fixed in Enigmail versions 1.7.1 and 1.8.0.

As noted in http://seclists.org/oss-sec/2014/q3/436 there are other issues that may receive a CVE; however, CVE-2014-5369 is only assigned to the issue where all recipients are Bcc'd.

References:

http://seclists.org/oss-sec/2014/q3/394
http://sourceforge.net/p/enigmail/forum/support/thread/3e7268a4/

Comment 1 Murray McAllister 2014-08-25 04:31:36 UTC
Created thunderbird-enigmail tracking bugs for this issue:

Affects: fedora-all [bug 1133375]
Affects: epel-7 [bug 1133376]

Comment 3 Fedora Update System 2014-09-09 22:13:05 UTC
thunderbird-enigmail-1.7.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2014-09-09 22:21:47 UTC
thunderbird-enigmail-1.7.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-09-23 04:29:33 UTC
thunderbird-enigmail-1.7.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-09-24 03:43:55 UTC
thunderbird-enigmail-1.7.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Product Security DevOps Team 2019-06-08 02:34:35 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.